#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0x88,0x1E,0xBA,0x04,0x83,0x52,0xAF,0x5B,0x81,0x65,0x7A,0xBE,
		0xD5,0xC0,0x87,0x09,0x80,0x06,0x96,0x23,0x1E,0x77,0x73,0x40,
		0x84,0xE1,0xA0,0x7A,0xE1,0x56,0x27,0xBA,0x12,0x1F,0x5A,0x75,
		0x41,0x8E,0x8A,0x7E,0xEF,0x74,0x5F,0xF0,0xF8,0xA3,0x07,0xC5,
		0x5E,0xB1,0x18,0x99,0xED,0x99,0x82,0xA5,0x32,0x22,0x66,0x6B,
		0x66,0x5A,0x0C,0x8F,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
